@echo off

if not exist %1\. goto end

echo Removing file %1

if "%OS%" == "Windows_NT" goto winnt

del %1
if errorlevel 1 goto end
goto success

:winnt
del %1 /Q /F
if errorlevel 1 goto end

:success
echo deleted file %1

:end
